org.apache.sysds.runtime.matrix.data

## Class LibMatrixDNNRelu.ReluBackward

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.LibMatrixDNNRelu.ReluBackward

All Implemented Interfaces:
  Callable<Long>

Enclosing class:
  LibMatrixDNNRelu

    public static class LibMatrixDNNRelu.ReluBackward
    extends Object
    implements Callable<Long>

Performs the operation: (X gt 0) * dout

### Field Summary

Fields
`int` `_rl`
`int` `_ru`

### Constructor Summary

Constructors
Constructor and Description
`ReluBackward(int rl, int ru, DnnParameters params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `call()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _rl

    public final int _rl

#### _ru

    public final int _ru

### Constructor Detail

#### ReluBackward

    public ReluBackward(int rl,
                        int ru,
                        DnnParameters params)

### Method Detail

#### call

    public Long call()
              throws Exception

Specified by:
  `call` in interface `Callable<Long>`
Throws:
  `Exception`